Retrieves database name from the call to mysql_list_dbs

- « mysql_data_seek

- mysql_db_query »

- PHP Manual
- MySQL Functions
- Retrieves database name from the call to mysql_list_dbs

# mysql_db_name

(PHP 4, PHP 5)

mysql_db_name — Retrieves database name from the call to mysql_list_dbs()

Warning

This extension was deprecated in PHP 5.5.0, and it was removed in PHP 7.0.0. Instead, the MySQLi or PDO_MySQL extension should be used. See also MySQL: choosing an API guide. Alternatives to this function include:

- Query: `SELECT DATABASE()`

### Description

mysql_db_name(resource `$result`, int `$row`, mixed `$field` = NULL): string

Retrieve the database name from a call to mysql_list_dbs().

### Parameters

`result`

  The result pointer from a call to mysql_list_dbs().

`row`

  The index into the result set.

`field`

  The field name.

### Return Values

Returns the database name on success, and `false` on failure. If `false` is returned, use mysql_error() to determine the nature of the error.

### Examples

Example #1 mysql_db_name() example

    <?phperror_reporting(E_ALL);$link = mysql_connect('dbhost', 'username', 'password');$db_list = mysql_list_dbs($link);$i = 0;$cnt = mysql_num_rows($db_list);while ($i < $cnt) {    echo mysql_db_name($db_list, $i) . "\n";    $i++;}?>

### Notes

> Note:

> For backward compatibility, the following deprecated alias may be used: mysql_dbname()

### See Also

- mysql_list_dbs() - List databases available on a MySQL server
- mysql_tablename() - Get table name of field